#ifndef RESULT_H
#define RESULT_H

#include <stdarg.h>
#include "type.h"

struct result {
    int status;
#define STATUS_OK 0
#define STATUS_FAIL -1
#define STATUS_TEMPFAIL -2
    char *msg;
    struct result *prev;
    Atom *alist;
};

int make_result_va (struct result *, int, struct result *,
		    Atom *, char *, va_list);
int push_failure (struct result *, int, struct result *, char *, ...);
int failure (struct result *, int, char *, ...);
int success (struct result *);
int success_alist (struct result *, ...);

#endif

