/*
 * define threshholds for verbosity settings.
 * these are not mutually-exclusive.
 */

#define VERBOSITY_LIB_SELECTION	1 /* messages related to which libraries
				   * are being tried or selected */
#define VERBOSITY_CACHE		2 /* messages related to cache activity */
#define VERBOSITY_LIB_FILES	3 /* messages related to individual files
				   * within packages */
#define VERBOSITY_PKG_INSTALL	3 /* messages related to package
				     installation */
#define VERBOSITY_PKG_VERIFY	4 /* messages related to package
				     verification */

#define VERBOSE_ENOUGH(x) (global.verbosity >= (x))

