#include <stdlib.h>
#ifndef lint
#if 0
static char yysccsid[] = "@(#)yaccpar	1.9 (Berkeley) 02/21/93";
#else
#if defined(__NetBSD__) && defined(__IDSTRING)
__IDSTRING(yyrcsid, "$NetBSD: skeleton.c,v 1.23 2002/01/31 21:01:15 tv Exp $");
#endif /* __NetBSD__ && __IDSTRING */
#endif /* 0 */
#endif /* lint */
#ifndef __P
#ifdef __STDC__
#define __P(x) x
#else
#define __P(x) ()
#endif
#endif
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define YYLEX yylex()
#define YYEMPTY -1
#define yyclearin (yychar=(YYEMPTY))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING (yyerrflag!=0)
#define YYPREFIX "yy"
#line 2 "expr.y"
/*
 * evaluator for expressions used in metadata constraints and
 * in user-configurable actions associated with command-line arguments.
 *
 * error reporting: special function return value for expression errors
 * error messages: none
 */

#include "conf.h"

#include <stdio.h>
#include <stdlib.h>
#ifdef HAVE_STRING_H
#include <string.h>
#else
char *strdup ();
#endif
#include "type.h"
#include "expr.h"

static char yytext[1000];

static Atom *result ;
static int yyerror ();
static Atom *get_id_value ();
#line 46 "expr.y"
typedef union {
    Atom *atom;
} YYSTYPE;
#line 58 "y.tab.c"
#define CONST 257
#define ID 258
#define STRING 259
#define OR 260
#define AND 261
#define EQ 262
#define NEQ 263
#define LEQ 264
#define GEQ 265
#define RSHIFT 266
#define LSHIFT 267
#define UMINUS 268
#define YYERRCODE 256
const short yylhs[] = {                                        -1,
    0,    2,    3,    3,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,
};
const short yylen[] = {                                         2,
    1,    1,    1,    3,    1,    4,    3,    1,    1,    3,
    2,    2,    2,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    5,    3,    3,
};
const short yydefred[] = {                                      0,
    8,    2,    9,    0,    0,    0,    0,    0,    0,    0,
    0,   11,   12,   13,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   10,   34,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   14,   15,   16,    7,
    0,    0,    0,    0,    6,    0,    0,
};
const short yydgoto[] = {                                       9,
   10,   11,   62,
};
const short yysindex[] = {                                    561,
    0,    0,    0,  561,  561,  561,  561,  561,    0,  573,
  -38,    0,    0,    0,  451,  489,  561,  561,  561,  561,
  561,  561,  561,  561,  561,  561,  561,  561,  561,  561,
  561,  561,  561,  561,  561,  561,  479,    0,    0,  584,
  518,  634,  682,  -32,  623,  726,  750,  750,  -25,  -25,
  -25,  -25,  -18,  -18,  -21,  -21,    0,    0,    0,    0,
  573,  -41,  561,  561,    0,  584,  573,
};
const short yyrindex[] = {                                      0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    8,
    1,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  161,
    0,  422,  413,  131,  343,  397,  327,  337,   97,  154,
  165,  239,   58,   86,    9,   49,    0,    0,    0,    0,
  -37,    0,    0,    0,    0,  247,  -10,
};
const short yygindex[] = {                                      0,
  898,    0,    0,
};
#define YYTABLESIZE 1017
const short yytable[] = {                                      65,
    5,   37,   64,    3,   36,   23,    3,    1,   17,   34,
   32,   36,   33,    0,   35,   36,   34,   32,   36,   33,
   34,   35,    0,   34,   32,   35,   33,   26,   35,   27,
    4,    0,    0,    4,    0,    0,    0,    5,    5,    0,
    0,    5,    5,    5,    5,    5,   17,    5,   18,   17,
    0,   17,   17,   17,    0,    0,    0,   19,    5,    5,
    5,   22,    5,    5,    0,    0,   17,   17,   17,    0,
   17,   17,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   20,   18,    0,    0,   18,
    0,   18,   18,   18,    5,   19,   21,    0,   19,    0,
    0,   19,   17,    0,    0,    0,   18,   18,   18,    0,
   18,   18,    0,    0,    0,   19,   19,   19,    0,   19,
   19,    0,    0,   20,    5,    5,   20,    0,    0,   20,
   29,    0,   17,   17,   21,    0,    0,   21,    0,    0,
   21,    0,   18,   20,   20,   20,    0,   20,   20,    0,
    0,   19,    0,   22,   21,   21,   21,    0,   21,   21,
   33,    0,    0,    0,   23,    0,    0,    0,    0,    0,
    0,   29,   18,   18,   29,    0,    0,    0,    0,   20,
    0,   19,   19,    0,    0,    0,    0,    0,   29,   29,
   21,   22,    0,   29,   22,    0,    0,   22,    0,    0,
    0,   33,   23,    0,   33,   23,    0,    0,   23,   20,
   20,   22,   22,   22,    0,   22,   22,    0,   33,   33,
   21,   21,   23,   23,   23,    0,   23,   23,    0,   24,
   25,   28,   29,   30,   31,    0,    0,    0,   24,    0,
   30,   31,    0,    0,    0,    0,   32,   22,    0,    0,
    0,    0,    0,    0,   29,   29,    0,    0,   23,    0,
    5,    5,    5,    5,    5,    5,    5,    5,   17,   17,
   17,   17,   17,   17,   17,   17,   24,   22,   22,   24,
    0,    0,   24,    0,    0,   33,    0,   32,   23,   23,
   32,    0,    0,    0,    0,    0,   24,   24,   24,    0,
   24,   24,    0,    0,   32,   32,    0,    0,   18,   18,
   18,   18,   18,   18,   18,   18,    0,   19,   19,   19,
   19,   19,   19,   19,   19,    0,   25,    0,    0,    0,
    0,    0,   24,    0,    0,    0,   26,    0,    0,    0,
    0,    0,   28,    0,    0,   20,   20,   20,   20,   20,
   20,   20,   20,    0,    0,    0,   21,   21,   21,   21,
   21,   21,   24,   24,   25,    0,    0,   25,    0,    0,
   25,   32,    0,    0,   26,    0,    0,   26,    0,    0,
   26,    0,    0,   28,   25,   25,   28,    0,    0,   25,
   29,   29,    0,    0,   26,   26,   27,    0,    0,   26,
   28,   28,    0,    0,    0,   28,    0,    0,    0,    0,
    0,    0,   30,   22,   22,   22,   22,   22,   22,    0,
   25,   31,    0,    0,   23,   23,   23,   23,   23,   23,
   26,    0,    0,    0,   27,    0,   28,   27,    0,    0,
   27,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   25,   25,    0,   30,   27,   27,   30,    0,    0,   27,
   26,   26,   31,    0,    0,   31,   28,   28,    0,    0,
   30,   30,    0,    0,    0,   30,    0,    0,    0,   31,
   31,    0,    0,    0,   31,    0,    0,   36,   23,    0,
   27,   38,   34,   32,    0,   33,    0,   35,   24,   24,
   24,   24,   24,   24,    0,    0,    0,    0,    0,   17,
   26,    5,   27,   18,    0,    0,    0,    0,    7,   60,
   27,   27,    0,    4,    0,   36,   23,    0,    0,    0,
   34,   32,    0,   33,    0,   35,    0,   30,    0,    0,
    0,    0,    0,    0,   22,    0,   31,   17,   26,    0,
   27,   18,    0,    0,   36,   23,    0,    0,    0,   34,
   32,    0,   33,    0,   35,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   21,   63,   17,   26,    0,   27,
   18,    0,   22,    0,    0,    0,   25,   25,   25,   25,
    0,    0,    0,    5,    0,    0,   26,   26,   26,   26,
    7,    8,   28,   28,    6,    4,    0,    0,    0,   36,
   23,   22,   21,   39,   34,   32,    0,   33,    0,   35,
   36,   23,    0,    0,    0,   34,   32,    0,   33,    0,
   35,   17,   26,    0,   27,   18,    0,    0,    0,    0,
    0,   21,    0,   26,    0,   27,   18,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   27,   27,    0,   36,
   23,    0,    0,    0,   34,   32,   22,   33,    0,   35,
   36,   23,   30,   30,    0,   34,   32,   22,   33,    0,
   35,   31,   26,    8,   27,    0,    6,    0,    0,    0,
    0,    0,    0,   26,    0,   27,   21,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   21,    0,    0,
   19,   20,   24,   25,   28,   29,   30,   31,   36,   23,
    0,    0,    0,   34,   32,    0,   33,   22,   35,    0,
    0,    0,    0,    0,    0,    1,    2,    3,    0,    0,
    0,   26,    0,   27,    0,    0,    0,    0,   19,   20,
   24,   25,   28,   29,   30,   31,    0,   21,    0,    0,
    0,    0,   36,    0,    0,    0,    0,   34,   32,    0,
   33,    0,   35,    0,    0,   22,    0,   19,   20,   24,
   25,   28,   29,   30,   31,   26,   36,   27,    0,    0,
    0,   34,   32,    0,   33,    0,   35,    0,    0,    0,
    0,    0,    0,    0,    0,   21,    0,    0,    0,   26,
    0,   27,    0,    0,    0,    0,    0,    1,    2,    3,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   19,   20,   24,   25,   28,   29,   30,   31,
    0,    0,    0,   19,   20,   24,   25,   28,   29,   30,
   31,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   24,   25,   28,   29,   30,   31,
    0,    0,    0,    0,   20,   24,   25,   28,   29,   30,
   31,   12,   13,   14,   15,   16,    0,    0,    0,    0,
    0,    0,    0,    0,   40,   41,   42,   43,   44,   45,
   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,
   56,   57,   58,   59,   61,    0,    0,    0,    0,    0,
    0,    0,    0,   24,   25,   28,   29,   30,   31,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   66,   67,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   24,   25,   28,
   29,   30,   31,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   28,   29,   30,   31,
};
const short yycheck[] = {                                      41,
    0,   40,   44,   41,   37,   38,   44,    0,    0,   42,
   43,   37,   45,   -1,   47,   37,   42,   43,   37,   45,
   42,   47,   -1,   42,   43,   47,   45,   60,   47,   62,
   41,   -1,   -1,   44,   -1,   -1,   -1,   37,   38,   -1,
   -1,   41,   42,   43,   44,   45,   38,   47,    0,   41,
   -1,   43,   44,   45,   -1,   -1,   -1,    0,   58,   59,
   60,   94,   62,   63,   -1,   -1,   58,   59,   60,   -1,
   62,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,    0,   38,   -1,   -1,   41,
   -1,   43,   44,   45,   94,   38,    0,   -1,   41,   -1,
   -1,   44,   94,   -1,   -1,   -1,   58,   59,   60,   -1,
   62,   63,   -1,   -1,   -1,   58,   59,   60,   -1,   62,
   63,   -1,   -1,   38,  124,  125,   41,   -1,   -1,   44,
    0,   -1,  124,  125,   38,   -1,   -1,   41,   -1,   -1,
   44,   -1,   94,   58,   59,   60,   -1,   62,   63,   -1,
   -1,   94,   -1,    0,   58,   59,   60,   -1,   62,   63,
    0,   -1,   -1,   -1,    0,   -1,   -1,   -1,   -1,   -1,
   -1,   41,  124,  125,   44,   -1,   -1,   -1,   -1,   94,
   -1,  124,  125,   -1,   -1,   -1,   -1,   -1,   58,   59,
   94,   38,   -1,   63,   41,   -1,   -1,   44,   -1,   -1,
   -1,   41,   38,   -1,   44,   41,   -1,   -1,   44,  124,
  125,   58,   59,   60,   -1,   62,   63,   -1,   58,   59,
  124,  125,   58,   59,   60,   -1,   62,   63,   -1,  262,
  263,  264,  265,  266,  267,   -1,   -1,   -1,    0,   -1,
  266,  267,   -1,   -1,   -1,   -1,    0,   94,   -1,   -1,
   -1,   -1,   -1,   -1,  124,  125,   -1,   -1,   94,   -1,
  260,  261,  262,  263,  264,  265,  266,  267,  260,  261,
  262,  263,  264,  265,  266,  267,   38,  124,  125,   41,
   -1,   -1,   44,   -1,   -1,  125,   -1,   41,  124,  125,
   44,   -1,   -1,   -1,   -1,   -1,   58,   59,   60,   -1,
   62,   63,   -1,   -1,   58,   59,   -1,   -1,  260,  261,
  262,  263,  264,  265,  266,  267,   -1,  260,  261,  262,
  263,  264,  265,  266,  267,   -1,    0,   -1,   -1,   -1,
   -1,   -1,   94,   -1,   -1,   -1,    0,   -1,   -1,   -1,
   -1,   -1,    0,   -1,   -1,  260,  261,  262,  263,  264,
  265,  266,  267,   -1,   -1,   -1,  260,  261,  262,  263,
  264,  265,  124,  125,   38,   -1,   -1,   41,   -1,   -1,
   44,  125,   -1,   -1,   38,   -1,   -1,   41,   -1,   -1,
   44,   -1,   -1,   41,   58,   59,   44,   -1,   -1,   63,
  260,  261,   -1,   -1,   58,   59,    0,   -1,   -1,   63,
   58,   59,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,
   -1,   -1,    0,  260,  261,  262,  263,  264,  265,   -1,
   94,    0,   -1,   -1,  260,  261,  262,  263,  264,  265,
   94,   -1,   -1,   -1,   38,   -1,   94,   41,   -1,   -1,
   44,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  124,  125,   -1,   41,   58,   59,   44,   -1,   -1,   63,
  124,  125,   41,   -1,   -1,   44,  124,  125,   -1,   -1,
   58,   59,   -1,   -1,   -1,   63,   -1,   -1,   -1,   58,
   59,   -1,   -1,   -1,   63,   -1,   -1,   37,   38,   -1,
   94,   41,   42,   43,   -1,   45,   -1,   47,  260,  261,
  262,  263,  264,  265,   -1,   -1,   -1,   -1,   -1,   59,
   60,   33,   62,   63,   -1,   -1,   -1,   -1,   40,   41,
  124,  125,   -1,   45,   -1,   37,   38,   -1,   -1,   -1,
   42,   43,   -1,   45,   -1,   47,   -1,  125,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,  125,   59,   60,   -1,
   62,   63,   -1,   -1,   37,   38,   -1,   -1,   -1,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  124,   58,   59,   60,   -1,   62,
   63,   -1,   94,   -1,   -1,   -1,  260,  261,  262,  263,
   -1,   -1,   -1,   33,   -1,   -1,  260,  261,  262,  263,
   40,  123,  260,  261,  126,   45,   -1,   -1,   -1,   37,
   38,   94,  124,  125,   42,   43,   -1,   45,   -1,   47,
   37,   38,   -1,   -1,   -1,   42,   43,   -1,   45,   -1,
   47,   59,   60,   -1,   62,   63,   -1,   -1,   -1,   -1,
   -1,  124,   -1,   60,   -1,   62,   63,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  260,  261,   -1,   37,
   38,   -1,   -1,   -1,   42,   43,   94,   45,   -1,   47,
   37,   38,  260,  261,   -1,   42,   43,   94,   45,   -1,
   47,  260,   60,  123,   62,   -1,  126,   -1,   -1,   -1,
   -1,   -1,   -1,   60,   -1,   62,  124,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  124,   -1,   -1,
  260,  261,  262,  263,  264,  265,  266,  267,   37,   38,
   -1,   -1,   -1,   42,   43,   -1,   45,   94,   47,   -1,
   -1,   -1,   -1,   -1,   -1,  257,  258,  259,   -1,   -1,
   -1,   60,   -1,   62,   -1,   -1,   -1,   -1,  260,  261,
  262,  263,  264,  265,  266,  267,   -1,  124,   -1,   -1,
   -1,   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,   94,   -1,  260,  261,  262,
  263,  264,  265,  266,  267,   60,   37,   62,   -1,   -1,
   -1,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  124,   -1,   -1,   -1,   60,
   -1,   62,   -1,   -1,   -1,   -1,   -1,  257,  258,  259,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  260,  261,  262,  263,  264,  265,  266,  267,
   -1,   -1,   -1,  260,  261,  262,  263,  264,  265,  266,
  267,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  262,  263,  264,  265,  266,  267,
   -1,   -1,   -1,   -1,  261,  262,  263,  264,  265,  266,
  267,    4,    5,    6,    7,    8,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   17,   18,   19,   20,   21,   22,
   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,
   33,   34,   35,   36,   37,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  262,  263,  264,  265,  266,  267,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   63,   64,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  262,  263,  264,
  265,  266,  267,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  264,  265,  266,  267,
};
#define YYFINAL 9
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 268
#if YYDEBUG
const char * const yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
"'!'",0,0,0,"'%'","'&'",0,"'('","')'","'*'","'+'","','","'-'",0,"'/'",0,0,0,0,0,
0,0,0,0,0,"':'","';'","'<'",0,"'>'","'?'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,"'^'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,"'{'","'|'","'}'","'~'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"CONST","ID","STRING","OR",
"AND","EQ","NEQ","LEQ","GEQ","RSHIFT","LSHIFT","UMINUS",
};
const char * const yyrule[] = {
"$accept : expression",
"expression : expr",
"id : ID",
"arglist : expr",
"arglist : arglist ',' expr",
"expr : id",
"expr : id '(' arglist ')'",
"expr : id '(' ')'",
"expr : CONST",
"expr : STRING",
"expr : '(' expr ')'",
"expr : '-' expr",
"expr : '!' expr",
"expr : '~' expr",
"expr : expr '*' expr",
"expr : expr '/' expr",
"expr : expr '%' expr",
"expr : expr '+' expr",
"expr : expr '-' expr",
"expr : expr RSHIFT expr",
"expr : expr LSHIFT expr",
"expr : expr '<' expr",
"expr : expr '>' expr",
"expr : expr LEQ expr",
"expr : expr GEQ expr",
"expr : expr EQ expr",
"expr : expr NEQ expr",
"expr : expr '&' expr",
"expr : expr '^' expr",
"expr : expr '|' expr",
"expr : expr AND expr",
"expr : expr OR expr",
"expr : expr '?' expr ':' expr",
"expr : expr ';' expr",
"expr : '{' expr '}'",
};
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 10000
#define YYMAXDEPTH 10000
#endif
#endif
#define YYINITSTACKSIZE 200
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short *yyss;
short *yysslim;
YYSTYPE *yyvs;
int yystacksize;
int yyparse __P((void));
#line 336 "expr.y"
#include "global.h"
#include "talloc.h"

extern struct global global;

/* eschew ctype because of Posix locale brain-damage */

#define ISDIGIT(c) ((c) >= '0' && (c) <= '9')
#define ISODIGIT(c) ((c) >= '0' && (c) <= '7')
#define ISXDIGIT(c) (ISDIGIT(c) || ((c) >= 'a' && (c) <= 'f') || ((c) >= 'A' && (c) <= 'F'))
#define ISUPPER(c) ((c) >= 'A' && (c) <= 'Z')
#define ISLOWER(c) ((c) >= 'a' && (c) <= 'z')
#define ISALPHA(c) (ISUPPER(c) || ISLOWER(c))
#define ISALNUM(c) (ISALPHA(c) || ISDIGIT(c))

static char *ptr;
static int errflag = 0;
static Atom *(*idlookup)();
static Atom *idcontext;

struct {
    char *str;
    int sym;
} twos[] = {
    { ">>", RSHIFT },
    { "<<", LSHIFT },
    { "<=", LEQ },
    { ">=", GEQ },
    { "==", EQ },
    { "!=", NEQ },
    { "&&", AND },
    { "||", OR },
};

static char *ones = "()-!~*/%+<>&|^?:,{};";

static int
unhex (c)
char c;
{
    if (c >= 'A' && c <= 'F')
	return c - 'A' + 10;
    if (c >= 'a' && c <= 'f')
	return c - 'a' + 10;
    if (c >= '0' && c <= '9')
	return c - '0';
}

static int
yylex ()
{
    int i;

    while (*ptr == ' ' || *ptr == '\t' || *ptr == '\r' || *ptr == '\n')
	++ptr;

    if (*ptr == '\0')
	return 0;

    /* two-character symbols */
    for (i = 0; i < sizeof(twos)/sizeof(*twos); ++i) {
	if ((ptr[0] == twos[i].str[0]) && (ptr[1] == twos[i].str[1])) {
	    yytext[0] = ptr[0];
	    yytext[1] = ptr[1];
	    yytext[2] = '\0';
	    ptr += 2;
	    return twos[i].sym;
	}
    }
    /* one-character symbols */
    for (i = 0; ones[i]; ++i) {
	if (ptr[0] == ones[i]) {
	    yytext[0] = ones[i];
	    yytext[1] = '\0';
	    ++ptr;
	    return ones[i];
	}
    }
    /* integer constants (hex, octal, decimal) */
    if (ISDIGIT (*ptr)) {
	char *dst = yytext;

	if (*ptr == '0' && (ptr[1] == 'x' || ptr[1] == 'X')) {
	    *dst++ = *ptr++;
	    *dst++ = *ptr++;
	    while (dst < (yytext + sizeof(yytext) - 1) && ISXDIGIT (*ptr))
		*dst++ = *ptr++;
	    *dst++ = '\0';
	}
	else if (*ptr == '0') {
	    *dst++ = *ptr++;
            while (dst < (yytext + sizeof(yytext) - 1) && ISODIGIT (*ptr))
                *dst++ = *ptr++;
            *dst++ = '\0';
	}
	else {
	    while (dst < (yytext + sizeof(yytext) - 1) && ISDIGIT (*ptr))
	        *dst++ = *ptr++;
	    *dst++ = '\0';
	}
	return CONST;
    }
    /* identifiers */
    else if (ISALPHA (*ptr)) {
	char *dst = yytext;

        while (dst < (yytext + sizeof(yytext) - 1) && 
               ISALNUM (*ptr) || *ptr == '.' || *ptr == '_' || *ptr == '$') 
            *dst++ = *ptr++;
        *dst++ = '\0';
	return ID;
    }
    /* quoted strings */
    else if (*ptr == '"') {
	char *dst = yytext;

	++ptr;
        while (dst < (yytext + sizeof(yytext) - 2)) {
	    int octal = 0;

	    if (*ptr == '\0')
		return 0;
	    else if (*ptr == '"') {
		++ptr;
		*dst++ = '\0';
		return STRING;
	    }
	    if (*ptr == '\\') {
		++ptr;
		switch (*ptr) {
		case 'a': *dst++ = '\007'; ptr++; break;
		case 'b': *dst++ = '\b'; ptr++; break;
		case 'e': *dst++ = '\033'; ptr++; break;
		case 'f': *dst++ = '\f'; ptr++; break;
		case 'n': *dst++ = '\n'; ptr++; break;
		case 'r': *dst++ = '\r'; ptr++; break;
		case 't': *dst++ = '\t'; ptr++; break;
		case 'v': *dst++ = '\v'; ptr++; break;
		case '\\': *dst++ = '\\'; ptr++; break;
		case 'x':
		    ++ptr;
		    octal = 0;
		    if (ISXDIGIT (*ptr))
			octal = unhex (*ptr++);
		    if (ISXDIGIT (*ptr))
			octal = octal * 16 + unhex (*ptr++);
		    *dst++ = octal;
		    break;
		default:
		    if (ISDIGIT (*ptr)) {
			octal = *ptr++ - '0'; 
			if (ISDIGIT (*ptr))
			    octal = octal * 8 + *ptr++ - '0';
			if (ISDIGIT (*ptr))
			    octal = octal * 8 + *ptr++ - '0';
			*dst++ = octal;
		    }
		    else
			*dst++ = *ptr++;
		}
	    }
	    else
		*dst++ = *ptr++;
	}
    }
    /* anything else */
    else {
	yytext[0] = *ptr;
	yytext[1] = '\0';
	return *ptr++;
    }
}

static int
yyerror ()
{
    errflag = 1;
}

static Atom *
get_id_value (Atom *name, Atom *arglist)
{
    Atom *val;
    Atom *result;

    if (!stringp (name))
	return error ();
    val = (*idlookup)(stringval (name), idcontext);
    if (nullp (val))
	return integer (0);
    switch (val->type) {
    case integerType:
    case stringType:
    case errorType:
	return val;
    case functionType:
	return (*(((Function *)val)->func))(arglist);
    default:
	return error ();
    }
}

Atom *
expr_evaluate (Atom *s, Atom *(*callback)(), Atom *context)
{
    if (!stringp (s))
	return error ();
    if (callback == NULL)
	return error ();
    idlookup = callback;
    idcontext = context;
    ptr = stringval (s);
    errflag = 0;
    yyparse ();
    if (errflag)
	return error ();
    return result;
}

/* 
 * XXX need to figure out how to implement the callback function for the
 * command-line expression evaluator
 */

nb_expr (char **argv)
{
    int i;
    int len;
    char *expr;
    Atom *result;
    extern Atom *lookup_id ();

    len = 0;
    for (i = 0; argv[i]; ++i)
	len += strlen (argv[i]) + 1;
    expr = TALLOC(len+1, char);
    *expr = '\0';
    for (i = 0; argv[i]; ++i) {
	strcat (expr, argv[i]);
	strcat (expr, " ");
    }
    result = expr_evaluate (string (expr), lookup_id, global.platform_attrs);
    print_atom (result);
    printf ("\n", expr);
}

#ifdef TEST
Atom *
test (Atom *arg)
{
    printf ("test argument:\n");
    print_atom (arg);
    printf ("\n");
    return integer (0);
}

Atom *
test_cb (Atom *name)
{
    if (!stringp (name))
	return NULL;
    if (strcmp (stringval (name), "test") == 0)
	return function (test);
    return NULL;
}

main (int argc, char **argv)
{
    extern FILE * unref_debug;

    unref_debug = stderr;
    print_atom (expr_evaluate (string (argv[1]), test_cb));
    printf ("\n");
}
#endif
#line 682 "y.tab.c"
/* allocate initial stack or double stack size, up to YYMAXDEPTH */
static int yygrowstack __P((void));
static int yygrowstack __P((void))
{
    int newsize, i;
    short *newss;
    YYSTYPE *newvs;

    if ((newsize = yystacksize) == 0)
        newsize = YYINITSTACKSIZE;
    else if (newsize >= YYMAXDEPTH)
        return -1;
    else if ((newsize *= 2) > YYMAXDEPTH)
        newsize = YYMAXDEPTH;
    i = yyssp - yyss;
    if ((newss = (short *)realloc(yyss, newsize * sizeof *newss)) == NULL)
        return -1;
    yyss = newss;
    yyssp = newss + i;
    if ((newvs = (YYSTYPE *)realloc(yyvs, newsize * sizeof *newvs)) == NULL)
        return -1;
    yyvs = newvs;
    yyvsp = newvs + i;
    yystacksize = newsize;
    yysslim = yyss + newsize - 1;
    return 0;
}

#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab
int
yyparse __P((void))
{
    int yym, yyn, yystate;
#if YYDEBUG
    const char *yys;

    if ((yys = getenv("YYDEBUG")) != NULL)
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    if (yyss == NULL && yygrowstack()) goto yyoverflow;
    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if ((yyn = yydefred[yystate]) != 0) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yysslim && yygrowstack())
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
    goto yynewerror;
yynewerror:
    yyerror("syntax error");
    goto yyerrlab;
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yysslim && yygrowstack())
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 1:
#line 53 "expr.y"
{
		    result = yyvsp[0].atom;
		}
break;
case 2:
#line 59 "expr.y"
{
		    extern char yytext[];

		    yyval.atom = string (yytext);
		}
break;
case 3:
#line 68 "expr.y"
{
		    yyval.atom = cons (yyvsp[0].atom, NULL);
		}
break;
case 4:
#line 72 "expr.y"
{
		    yyval.atom = append (yyvsp[-2].atom, cons (yyvsp[0].atom, NULL));
		}
break;
case 5:
#line 79 "expr.y"
{
		    yyval.atom = ref (get_id_value (yyvsp[0].atom, NULL));
		    unref (yyvsp[0].atom);
		}
break;
case 6:
#line 84 "expr.y"
{
		    yyval.atom = ref (get_id_value (yyvsp[-3].atom, yyvsp[-1].atom));
		    unref (yyvsp[-3].atom);
		    unref (yyvsp[-1].atom);
		}
break;
case 7:
#line 90 "expr.y"
{
		    Atom *emptylist = cons (NULL, NULL);

		    yyval.atom = ref (get_id_value (yyvsp[-2].atom, emptylist));
		    unref (yyvsp[-2].atom);
		    unref (emptylist);
		}
break;
case 8:
#line 98 "expr.y"
{
		    extern char yytext[];

		    yyval.atom = integer (strtol(yytext, (char **)NULL, 00));
		}
break;
case 9:
#line 104 "expr.y"
{
		    yyval.atom = string (yytext);
		}
break;
case 10:
#line 108 "expr.y"
{
		    yyval.atom = yyvsp[-1].atom;
		}
break;
case 11:
#line 112 "expr.y"
{
		    if (integerp (yyvsp[0].atom))
			yyval.atom = integer (- intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[0].atom);
		}
break;
case 12:
#line 120 "expr.y"
{
		    if (integerp (yyvsp[0].atom))
			yyval.atom = integer ( ! intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[0].atom);
		}
break;
case 13:
#line 128 "expr.y"
{
		    if (integerp (yyvsp[0].atom))
			yyval.atom = integer ( ~ intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[0].atom);
		}
break;
case 14:
#line 136 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) * intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 15:
#line 145 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom) && intval (yyvsp[0].atom) != 0)
			yyval.atom = integer (intval (yyvsp[-2].atom) / intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 16:
#line 154 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom) && intval (yyvsp[0].atom) != 0)
			yyval.atom = integer (intval (yyvsp[-2].atom) % intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 17:
#line 163 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) + intval (yyvsp[0].atom));
		    else if (stringp (yyvsp[-2].atom) && stringp (yyvsp[0].atom))
			yyval.atom = string_concat (yyvsp[-2].atom, yyvsp[0].atom, NULL);
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 18:
#line 174 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) - intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 19:
#line 183 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) >> intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 20:
#line 192 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) << intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 21:
#line 201 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) < intval (yyvsp[0].atom));
		    else if (stringp (yyvsp[-2].atom) && stringp (yyvsp[0].atom))
			yyval.atom = integer (strcmp (stringval (yyvsp[-2].atom),
					      stringval (yyvsp[0].atom)) < 0);
		    else
			yyval.atom = integer (0);
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 22:
#line 213 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) > intval (yyvsp[0].atom));
		    else if (stringp (yyvsp[-2].atom) && stringp (yyvsp[0].atom))
			yyval.atom = integer (strcmp (stringval (yyvsp[-2].atom),
					      stringval (yyvsp[0].atom)) > 0);
		    else
			yyval.atom = integer (0);
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 23:
#line 225 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) <= intval (yyvsp[0].atom));
		    else if (stringp (yyvsp[-2].atom) && stringp (yyvsp[0].atom))
			yyval.atom = integer (strcmp (stringval (yyvsp[-2].atom),
					      stringval (yyvsp[0].atom)) <= 0);
		    else
			yyval.atom = integer (0);
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 24:
#line 237 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) >= intval (yyvsp[0].atom));
		    else if (stringp (yyvsp[-2].atom) && stringp (yyvsp[0].atom))
			yyval.atom = integer (strcmp (stringval (yyvsp[-2].atom),
					      stringval (yyvsp[0].atom)) >= 0);
		    else
			yyval.atom = integer (0);
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 25:
#line 249 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) == intval (yyvsp[0].atom));
		    else if (stringp (yyvsp[-2].atom) && stringp (yyvsp[0].atom))
			yyval.atom = integer (strcmp (stringval (yyvsp[-2].atom),
					      stringval (yyvsp[0].atom)) == 0);
		    else
			yyval.atom = integer (0);
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 26:
#line 261 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) != intval (yyvsp[0].atom));
		    else if (stringp (yyvsp[-2].atom) && stringp (yyvsp[0].atom))
			yyval.atom = integer (strcmp (stringval (yyvsp[-2].atom),
					      stringval (yyvsp[0].atom)) != 0);
		    else
			yyval.atom = integer (0);
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 27:
#line 273 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) & intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 28:
#line 282 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) ^ intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 29:
#line 291 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) | intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 30:
#line 300 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) && intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 31:
#line 309 "expr.y"
{
		    if (integerp (yyvsp[-2].atom) && integerp (yyvsp[0].atom))
			yyval.atom = integer (intval (yyvsp[-2].atom) || intval (yyvsp[0].atom));
		    else
			yyval.atom = error ();
		    unref (yyvsp[-2].atom);
		    unref (yyvsp[0].atom);
		}
break;
case 32:
#line 318 "expr.y"
{
		    if (!integerp (yyvsp[-4].atom))
			yyval.atom = error ();
		    yyval.atom = intval (yyvsp[-4].atom) ? yyvsp[-2].atom : yyvsp[0].atom;
		    unref (yyvsp[-4].atom);
		}
break;
case 33:
#line 325 "expr.y"
{
		    yyval.atom = yyvsp[0].atom;
		    unref (yyvsp[-2].atom);
		}
break;
case 34:
#line 330 "expr.y"
{
		    yyval.atom = yyvsp[-1].atom;
		}
break;
#line 1188 "y.tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yysslim && yygrowstack())
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
